<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta name="csrf-token" content={csrf_token_value()}>
    <%= live_title_tag assigns[:page_title] || "Blogging App" %>
    <link phx-track-static rel="stylesheet" href={Routes.static_path(@conn, "/assets/app.css")}/>
    <script defer phx-track-static type="text/javascript" src={Routes.static_path(@conn, "/assets/app.js")}></script>
  </head>
  <body>
    <header style="background-color:#d1ebd7;">
      <section class="container">
        <nav>
          <ul>
            <%= if function_exported?(Routes, :live_dashboard_path, 2) do %>
              <li><%= link "LiveDashboard", to: Routes.live_dashboard_path(@conn, :home) %></li>
            <% end %>
          </ul>
          <%= render "_user_menu.html", assigns %>
        </nav>
        <a href="" class="phx-logo">
          <img src={Routes.static_path(@conn, "/images/blog.webp")} width = "300" height = "180" alt="Blog App Logo"/>
        </a>
      </section>
    </header>
    <%= @inner_content %>
  </body>
</html>
